Search Drugs and Laboratory Tests
curl --request GET \
--url https://api.dev.eka.care/medical-db/v1/drugs-and-labs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.eka.care/medical-db/v1/drugs-and-labs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.eka.care/medical-db/v1/drugs-and-labs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"drugs": [
{
"id": "<string>",
"name": "<string>",
"manufacturer_name": "<string>",
"product_type": "<string>",
"generic_name": "<string>",
"generic_id": "<string>",
"common_name": "<string>",
"soa": true,
"drug_name_match": true,
"product_sku": "<string>",
"dosage": {
"dosage_form": "<string>",
"df_id": "<string>",
"unit": "<string>",
"unit_name": "<string>",
"unit_id": "<string>",
"dosage": "<string>",
"days": "<string>",
"food": "<string>"
},
"action_class": {},
"include_suggestion": true,
"highlighted_fields": {},
"is_otc": true
}
],
"lab_tests": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"price": 123,
"preparation": "<string>"
}
]
}{
"error": "<string>",
"code": 123,
"details": "<string>"
}{
"drugs": [
{
"id": "<string>",
"name": "<string>",
"manufacturer_name": "<string>",
"product_type": "<string>",
"generic_name": "<string>",
"generic_id": "<string>",
"common_name": "<string>",
"soa": true,
"drug_name_match": true,
"product_sku": "<string>",
"dosage": {
"dosage_form": "<string>",
"df_id": "<string>",
"unit": "<string>",
"unit_name": "<string>",
"unit_id": "<string>",
"dosage": "<string>",
"days": "<string>",
"food": "<string>"
},
"action_class": {},
"include_suggestion": true,
"highlighted_fields": {},
"is_otc": true
}
],
"lab_tests": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"price": 123,
"preparation": "<string>"
}
]
}{
"error": "<string>",
"code": 123,
"details": "<string>"
}{
"error": "<string>",
"code": 123,
"details": "<string>"
}Resources
Search Drugs and Laboratory Tests
This endpoint returns comprehensive information about pharmaceutical drugs and laboratory tests from the Eka medical database based on search query.
The API provides detailed drug information including manufacturer details, dosage information, generic names etc
GET
/
medical-db
/
v1
/
drugs-and-labs
Search Drugs and Laboratory Tests
Authorizations
Enter JWT token for authentication
Query Parameters
Search query string for drugs or lab tests
Maximum number of results to return
Required range:
1 <= x <= 100Type of search to perform - drug/medicine for pharmaceutical products, lab for laboratory tests
Available options:
drug, lab Was this page helpful?
⌘I

